kind: Build
apiVersion: build.openshift.io/v1
metadata:
  annotations:
    openshift.io/build-config.name: eap-s2i
    openshift.io/build.number: '1'
    openshift.io/build.pod-name: eap-s2i-1-build
  resourceVersion: '8451747'
  name: eap-s2i-1
  uid: 9c86cf8d-66c2-47d1-be11-436441c6b825
  creationTimestamp: '2021-05-03T07:09:35Z'
  generation: 2
  namespace: vsalbaba
  ownerReferences:
    - apiVersion: build.openshift.io/v1
      kind: BuildConfig
      name: eap-s2i
      uid: c9fae25b-d375-4ccb-bd89-f03c7ef12d67
      controller: true
  labels:
    buildconfig: eap-s2i
    openshift.io/build-config.name: eap-s2i
    openshift.io/build.start-policy: Serial
spec:
  serviceAccount: builder
  source:
    type: Binary
    binary: {}
    images:
      - from:
          kind: DockerImage
          name: >-
            image-registry.openshift-image-registry.svc:5000/vsalbaba/eap-s2i-src@sha256:145b9bcb24df8b69ccc5b3757c7a9de7e478b9474795c0975e56c98a96ea3761
        paths:
          - sourcePath: /tmp/artifacts/m2/.
            destinationDir: .m2
  strategy:
    type: Source
    sourceStrategy:
      from:
        kind: DockerImage
        name: >-
          docker-registry.upshift.redhat.com/kwills/eap74-openjdk11-openshift-rhel8:CLOUD-3930
      env:
        - name: MAVEN_ARGS_APPEND
          value: '-o'
        - name: MAVEN_LOCAL_REPO
          value: /tmp/src/.m2
      incremental: false
      forcePull: true
  output:
    to:
      kind: ImageStreamTag
      name: 'eap-s2i:latest'
    pushSecret:
      name: builder-dockercfg-8c85c
  resources: {}
  postCommit: {}
  nodeSelector: null
status:
  output: {}
  config:
    kind: BuildConfig
    namespace: vsalbaba
    name: eap-s2i
  reason: FetchImageContentFailed
  message: Failed to extract image content.
  outputDockerImageReference: 'image-registry.openshift-image-registry.svc:5000/vsalbaba/eap-s2i:latest'
  duration: 73000000000
  startTimestamp: '2021-05-03T07:09:36Z'
  conditions:
    - type: New
      status: 'False'
      lastUpdateTime: '2021-05-03T07:09:36Z'
      lastTransitionTime: '2021-05-03T07:09:36Z'
    - type: Pending
      status: 'False'
      lastUpdateTime: '2021-05-03T07:09:39Z'
      lastTransitionTime: '2021-05-03T07:09:39Z'
    - type: Running
      status: 'False'
      lastUpdateTime: '2021-05-03T07:10:48Z'
      lastTransitionTime: '2021-05-03T07:10:48Z'
    - type: Failed
      status: 'True'
      lastUpdateTime: '2021-05-03T07:10:48Z'
      lastTransitionTime: '2021-05-03T07:10:48Z'
      reason: FetchImageContentFailed
      message: Failed to extract image content.
  completionTimestamp: '2021-05-03T07:10:49Z'
  phase: Failed
